Subject: Re: [patch net-next-2.6] net: reinject arps into bonding slave instead of master

From: Nicolas de Pesloüan<[email-masked]>
Date: Tue, 08 Mar 2011 22:34:26 +0100

Le 08/03/2011 03:43, Andy Gospodarek a écrit :
> On Tue, Mar 08, 2011 at 12:09:48AM +0100, Nicolas de Pesloüan wrote:
>>
>> After Jiri's last patch series, bond_arp_rcv() is not registered anymore
>> as a protocol handler on bond0, but directly called from inside
>> bond_handle_frame(), through bond->recv_probe.
>>
>> Because bond_handler_frame() is a rx_handler for the slave interfaces,
>> bond_arp_rcv() is now called at the slave level and not a the master
>> level anymore.
>>
>> Hence this patch and the reason I thought it should work.
>>
>> Did you tested this patch with Jiri's previous patches applied before?
>>
>
> No, I have not tested them yet.  I looked at this problem first as
> Jiri's patch did not fix a regression in code that is actually in
> net-next right now.

For as far as I understand, the regression was introduced by Jiri's patches that are not yet 
accepted in net-next-2.6, so this path definitely need the full patch series to be applied before. 
And there is no special urgency to fix this regression, because it doesn't "exist" yet anywhere 
except in some sandboxes.

This patch change the reinjection to inject at the slave level instead of the master level, because 
in Jiri's patch series, ARP handling moved from a normal protocol handler registered at the master 
level to the rx_handler at the slave level.

Jiri, do I miss something ?

> I don't have a problem with the work you and Jiri are doing on this
> latest patch series, but the frequency of patch revisions and now
> regressions concerns me.

I agree with your concerns, and this is the reason why Jiri and I are working hard to try and fight 
every possible problems in the whole package of patch. I think that, at the end, Jiri and I will 
have to properly resubmit the whole thing, for the convenient of those who will have to decide to 
accept it or not.

	Nicolas.